package advertising

import (
	"applet/app/svc/advertising"
	"github.com/gin-gonic/gin"
)

// GetBasic
// @Summary      广告管理-广告设置-信息
// @Tags         广告管理
// @Description  广告管理-广告设置-信息
// @Accept       json
// @Produce      json
// @param Authorization header string true "验证参数Bearer和token空格拼接"
// @Success      200   {object}  md.NoticeAliyunSmsListResp			"具体数据"
// @Failure      400   {object}   md.Response              	"具体错误"
// @Router       /api/advertising/base [get]
func GetBasic(c *gin.Context) {
	advertising.GetBasic(c)
}
