package md

type AdvertisingBaseResp struct {
	AndroidAdIsOpen     string                        `json:"android_ad_is_open"`
	IosAdIsOpen         string                        `json:"ios_ad_is_open"`
	AndroidOpenAdIsOpen string                        `json:"android_open_ad_is_open"`
	IosOpenAdIsOpen     string                        `json:"ios_open_ad_is_open"`
	Voice               string                        `json:"voice"`
	VoiceUrl            string                        `json:"voice_url"`
	Info                map[string]AdvertisingBaseKey `json:"info"`
}
type AdvertisingBaseKey struct {
	AndroidKey    string `json:"android_key"`
	AndroidSecret string `json:"android_secret"`
	IosKey        string `json:"ios_key"`
	IosSecret     string `json:"ios_secret"`
}
